<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShopArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\ParcelShop\ParcelShop
     */
    private $items;

    public function getItems(): ParcelShop
    {
        return $this->items;
    }

    public function withItems(ParcelShop $items): CParcelShopArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
